%define name 	libdvdplay
%define version	1.0.0
%define release	1mdk

%define major  	0
%define libname %{name}%{major}

%define redhat80 1
%if %redhat80
%define release 1
# some mdk macros that do not exist in rh
%define configure2_5x CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
%define make %__make
%define makeinstall_std %__make DESTDIR="$RPM_BUILD_ROOT" install
# adjust define for Redhat.
%endif


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        A portable abstraction library for DVD menus support
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Libraries
URL:		http://developers.videolan.org/libdvdplay/
Packager:	Yves Duret <yves@zarb.org>
BuildRoot:	%_tmppath/%name-%version-%release-root
Buildrequires:	libdvdread-devel

%description
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the %libname runtime library.   

%package -n %{libname}
Summary:        A portable abstraction library for DVD menus support
Group:          System/Libraries
Provides:       %name = %version-%release

%description -n %{libname}
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the %libname runtime library. 

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:	%{libname} = %version-%release
Provides:       %{name}-devel = %version-%release
 
%description -n %{libname}-devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Mon Feb 03 2003 Yves Duret <yves@zarb.org> 1.0.0-1mdk
- first release

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 0.1.0-1
- first spec file
